QGIS Application - Bug report #2511
Mean coordinate(s) tool crashes qgis/throws an error on PostGIS polygonal layers
2010-03-07 03:08 AM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12571
Description

Mean coordinate(s) tool crashes qgis/throws an error on [[PostGIS]] polygonal layers, with point and linear layers it works correctly.

[http://gis-lab.info/share/DR/mean-postgis.png]

Associated revisions

Revision 9¢076877 - 2010-03-07 06:34 PM - Jiirgen Fischer

fix #2511

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13014 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b0a9d994 - 2010-03-07 06:34 PM - Jiirgen Fischer

fix #2511

git-svn-id: http://svn.osgeo.org/qgis/trunk@13014 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-03-07 03:14 AM - Giovanni Manghi

it works fine here under ubuntu 9.10 and qgis trunk. Can you add the polygon you are testing so | will export to my postgis server and test again? thanks.

#2 - 2010-03-07 03:23 AM - dr -

You can connect to our [[PostGIS]] server directly:

1. Host - gis-lab.info

2. Database - geosample

3. Port - 5432

4. Username/password - guest/guest

I've get an error on 'admin’ layer.
#3 - 2010-03-07 03:31 AM - Giovanni Manghi

Hi,

it works for me. No crashes o python error messages with qgis 1.4/trunk under ubuntu 9.04/9.10.

#4 - 2010-03-07 09:35 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

looks like this is caused by {{estimated_extent}} doesn't work on your database. commit:b0a9d994 (SVN r13015) copes with that.

2025-04-27 22



